Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics
Class AbstractLayer

    java.lang.Object
      org.deegree.graphics.AbstractLayer

All Implemented Interfaces:
  Layer

Direct Known Subclasses:
  FeatureLayer, LazyRasterLayer, OWSRasterLayer, RasterLayer

    abstract class AbstractLayer

extends Object
implements Layer

A Layer is a collection of `Feature`s or rasters building a thematic 'unit' waterways or country borders for example. `Feature`s or raster can be added or removed from the layer. A `Feature` or raster can e changed by a modul of the application using the layer because only references to `Feature`s or rasters are stored within a layer.

Version:
  $Revision: 19800 $ $Date: 2009-09-26 12:33:09 +0200 (Sa, 26. Sep 2009) $
Author:
  Andreas Poth

Field Summary
`protected Envelope` | `boundingbox` bbox of the layer
`protected CoordinateSystem` | `cs` Of the layer
`protected List<EventController>` | `eventController` List of controllers.

Constructor Summary
`AbstractLayer(String name)` creates a layer with EPSG:4326 as default coordinate system
`AbstractLayer(String name, CoordinateSystem crs)` Creates a new AbstractLayer object.

Method Summary
`void` | `addEventController(LayerEventController obj)` adds an eventcontroller to the MapView that's reponsible for handling events that targets the map.
`Envelope` | `getBoundingBox()` returns the BoundingBox (Envelope) of Layer.
`CoordinateSystem` | `getCoordinatesSystem()` returns the coordinate reference system of the MapView
`String` | `getName()` returns the name of the layer
`boolean` | `isValid()` As default the method returns `true`, but it may be overwritten by extending classes
`void` | `removeEventController(LayerEventController obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.graphics.Layer
`setCoordinatesSystem`

Field Detail

### cs

    protected CoordinateSystem cs

  Of the layer

### boundingbox

    protected Envelope boundingbox

  bbox of the layer

### eventController

    protected List<EventController> eventController

  List of controllers.

Constructor Detail

### AbstractLayer

    AbstractLayer(String name)
            throws Exception

  creates a layer with EPSG:4326 as default coordinate system

  Parameters:
    `name` -
  Throws:
    `Exception`

### AbstractLayer

    AbstractLayer(String name,
                  CoordinateSystem crs)
            throws Exception

  Creates a new AbstractLayer object.

  Parameters:
    `name` -
    `crs` -
  Throws:
    `Exception`

Method Detail

### getName

    public String getName()

  returns the name of the layer

  Specified by:
    `getName` in interface `Layer`
  Returns:
    the name of the layer

### getBoundingBox

    public Envelope getBoundingBox()

  returns the BoundingBox (Envelope) of Layer. This is the BoundingBox of the layers data. The BoundingBox of the View maybe larger or smaller

  Specified by:
    `getBoundingBox` in interface `Layer`
  Returns:
    the BoundingBox (Envelope) of Layer

### getCoordinatesSystem

    public CoordinateSystem getCoordinatesSystem()

  returns the coordinate reference system of the MapView

  Specified by:
    `getCoordinatesSystem` in interface `Layer`
  Returns:
    the coordinate reference system of the MapView

### addEventController

    public void addEventController(LayerEventController obj)

  adds an eventcontroller to the MapView that's reponsible for handling events that targets the map. E.g.: zooming, panning, selecting a feature etc.

  Specified by:
    `addEventController` in interface `Layer`
  Parameters:
    `obj` -

### removeEventController

    public void removeEventController(LayerEventController obj)

  Specified by:
    `removeEventController` in interface `Layer`
  Parameters:
    `obj` -
  See Also:
    `addEventController(LayerEventController)`

### isValid

    public boolean isValid()

  As default the method returns `true`, but it may be overwritten by extending classes

  Returns:
    `true` if a layer is valid and should be rendered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org